Kalpana Docs
Resources

List endpoints

List the workspace's webhook endpoints.

GET /api/webhooks

Requires webhooks:read.

NameTypeRequiredDescription
workspacestringYesWorkspace slug or id.
curl "https://app.kalpana.one/api/webhooks?workspace=acme" \
  --header "x-api-key: $KALPANA_API_KEY"

Response

An array of endpoint objects, oldest first. The list is not paginated. Callback URLs set on single jobs are not listed.

[
  {
    "id": "0192f8a4-6c1e-7c3a-9b0e-4d2f1a7e5c11",
    "name": "Zapier: new creatives",
    "description": null,
    "url": "https://hooks.zapier.com/hooks/catch/123/abc/",
    "events": ["batch.completed"],
    "filters": {},
    "format": "json",
    "apiVersion": "2026-10-20",
    "authHeaderName": null,
    "source": "api",
    "enabled": true,
    "disabledAt": null,
    "disabledReason": null,
    "health": { "consecutiveFailures": 0, "failingSince": null },
    "createdAt": "2026-10-20T09:41:07.512Z",
    "updatedAt": "2026-10-20T09:41:07.512Z"
  }
]
Was this page helpful?

Updated 4 Nov 2026

On this page